globus_net_manager_s Struct Reference
Net Manager Data Types

Net Manager Definition. More...

`#include <globus_net_manager.h>`

Collaboration diagram for globus_net_manager_s:
[legend]

## Data Fields

const char * | name
globus_net_manager_pre_listen | pre_listen
globus_net_manager_post_listen | post_listen
globus_net_manager_end_listen | end_listen
globus_net_manager_pre_accept | pre_accept
globus_net_manager_post_accept | post_accept
globus_net_manager_pre_connect | pre_connect
globus_net_manager_post_connect | post_connect
globus_net_manager_pre_close | pre_close
globus_net_manager_post_close | post_close

## Detailed Description

Net Manager Definition.

## Field Documentation

## end_listen

globus_net_manager_end_listen globus_net_manager_s::end_listen

End-listen function implementation

## name

const char* globus_net_manager_s::name

Name of the network manager

## post_accept

globus_net_manager_post_accept globus_net_manager_s::post_accept

Post-accept function implementation

## post_close

globus_net_manager_post_close globus_net_manager_s::post_close

Post-close function implementation

## post_connect

globus_net_manager_post_connect globus_net_manager_s::post_connect

Post-connect function implementation

## post_listen

globus_net_manager_post_listen globus_net_manager_s::post_listen

Post-listen function implementation

## pre_accept

globus_net_manager_pre_accept globus_net_manager_s::pre_accept

Pre-accept function implementation

## pre_close

globus_net_manager_pre_close globus_net_manager_s::pre_close

Pre-close function implementation

## pre_connect

globus_net_manager_pre_connect globus_net_manager_s::pre_connect

Pre-connect function implementation

## pre_listen

globus_net_manager_pre_listen globus_net_manager_s::pre_listen

Pre-listen function implementation

The documentation for this struct was generated from the following file:

- globus_net_manager.h